Schema change for rc_this_oldid index
Open, NormalPublic

Description

After T190444: Add index on rc_namespace, rc_title, rc_timestamp on recentchanges table It would be great to apply this change

From the checklist at https://wikitech.wikimedia.org/wiki/Schema_changes:

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/450083/2/maintenance/archives/patch-recentchanges-rc_this_oldid-index.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: ?
  4. If the schema change is backwards compatible: Yes.
  5. If the schema change has been tested already on some of the test/beta wikis: Tested in beta cluster
  6. if the data should be made available on the labs replicas and/or dumps: Yes, data in this table is public (unless the wiki is private which we don't replicate at all)

One note: This index might be already existing but under name of tmp_1 or tmp_2 or tmp_3. I don't know how complex renaming an index is but that'd be useful.

Progress:

s1

  • eqiad
  • codfw

s2

s3

s4

s5

s6

s7

s8

wikitech

  • eqiad
  • codfw
There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 477534 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1081

https://gerrit.wikimedia.org/r/477534

Change 477534 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1081

https://gerrit.wikimedia.org/r/477534

Mentioned in SAL (#wikimedia-operations) [2018-12-04T13:18:58Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1081 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-04T13:19:04Z] <marostegui> Deploy schema change on db1081 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-04T13:46:48Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1081 T86338 T202167 (duration: 00m 46s)

Change 477542 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1103:3314

https://gerrit.wikimedia.org/r/477542

Change 477542 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1103:3314

https://gerrit.wikimedia.org/r/477542

Mentioned in SAL (#wikimedia-operations) [2018-12-04T13:52:12Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1103:3314 T86338 T202167 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2018-12-04T13:52:17Z] <marostegui> Deploy schema change on db1103:3314 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-04T15:08:05Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1103:3314 T86338 T202167 (duration: 00m 47s)

Change 477724 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/477724

Change 477724 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/477724

Mentioned in SAL (#wikimedia-operations) [2018-12-05T06:55:15Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1091 T86338 T202167 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-12-05T06:55:22Z] <marostegui> Deploy schema change on db1091 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-05T07:27:46Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1091 T86338 T202167 (duration: 00m 46s)

Change 478583 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1121

https://gerrit.wikimedia.org/r/478583

Change 478583 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1121

https://gerrit.wikimedia.org/r/478583

Mentioned in SAL (#wikimedia-operations) [2018-12-10T06:24:42Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1121 T86338 T202167 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2018-12-10T06:25:25Z] <marostegui> Deploy schema change on db1121 with replication (this will generate lag on labs) - T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-10T08:36:29Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1121 T86338 T202167 (duration: 00m 51s)

Change 478616 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1010: Depool labsdb1011

https://gerrit.wikimedia.org/r/478616

Change 478616 merged by Marostegui:
[operations/puppet@production] dbproxy1010: Depool labsdb1011

https://gerrit.wikimedia.org/r/478616

Mentioned in SAL (#wikimedia-operations) [2018-12-10T09:07:40Z] <marostegui> Deploy schema change on s8 codfw master with replication (db2045) - lag will be generated on codfw - T202167 T86338

Marostegui updated the task description. (Show Details)Mon, Dec 10, 10:03 AM
Marostegui added a comment.EditedMon, Dec 10, 10:22 AM

s8 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1116
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071

Mentioned in SAL (#wikimedia-operations) [2018-12-10T10:36:49Z] <marostegui> Deploy schema change on dbstore1002:s8 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-10T10:38:58Z] <marostegui> Deploy schema change on db1116:3318 T86338 T202167

Change 478668 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/478668

Change 478668 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/478668

Mentioned in SAL (#wikimedia-operations) [2018-12-10T14:00:29Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1099 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-10T14:00:36Z] <marostegui> Deploy schema change db1099:3318 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-10T14:48:55Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1099 T86338 T202167 (duration: 00m 47s)

Change 478689 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/478689

Change 478689 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/478689

Mentioned in SAL (#wikimedia-operations) [2018-12-10T14:55:29Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1101:3318 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-10T14:55:37Z] <marostegui> Deploy schema change db1101:3318 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-10T15:48:50Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1101:3318 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-11T05:57:14Z] <marostegui> Deploy schema change on s4 primary master (db1068) T202167 T86338

Marostegui updated the task description. (Show Details)Tue, Dec 11, 6:00 AM
Marostegui updated the task description. (Show Details)Tue, Dec 11, 6:05 AM

Change 478828 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/478828

Change 478828 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/478828

Mentioned in SAL (#wikimedia-operations) [2018-12-11T06:12:18Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1109 T86338 T202167 (duration: 02m 55s)

Mentioned in SAL (#wikimedia-operations) [2018-12-11T06:13:26Z] <marostegui> Deploy schema change on db1109 T202167 T86338

Change 478834 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/478834

Mentioned in SAL (#wikimedia-operations) [2018-12-11T06:59:28Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1109 T86338 T202167 (duration: 02m 52s)

Change 478834 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/478834

Mentioned in SAL (#wikimedia-operations) [2018-12-11T07:06:02Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1104 T86338 T202167 (duration: 02m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-12-11T07:06:07Z] <marostegui> Deploy schema change on db1104 T202167 T86338

Mentioned in SAL (#wikimedia-operations) [2018-12-11T07:56:05Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1104 T86338 T202167 (duration: 00m 46s)

Change 478861 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/478861

Change 478861 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/478861

Mentioned in SAL (#wikimedia-operations) [2018-12-11T08:15:26Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1092 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-11T08:15:31Z] <marostegui> Deploy schema change on db1092 T202167 T86338

Mentioned in SAL (#wikimedia-operations) [2018-12-11T09:04:03Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1092 T86338 T202167 (duration: 00m 46s)

Change 478875 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/478875

Change 478875 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/478875

Mentioned in SAL (#wikimedia-operations) [2018-12-11T09:08:14Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1087 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-11T09:08:28Z] <marostegui> Deploy schema change on db1087 with replication (this will generate lag on labsdb:s8) T202167 T86338

Mentioned in SAL (#wikimedia-operations) [2018-12-11T11:23:46Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1087 T86338 T202167 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-12T06:00:13Z] <marostegui> Deploy schema change on s8 primary master (db1071) T86338 T202167

Marostegui updated the task description. (Show Details)Wed, Dec 12, 6:36 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-12T07:38:14Z] <marostegui> Deploy schema change on db2040 (s7 codfw master), this will generate lag on codfw T86338 T202167

Marostegui updated the task description. (Show Details)EditedWed, Dec 12, 8:20 AM

s7 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1116
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
  • db1062

Change 479198 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1098

https://gerrit.wikimedia.org/r/479198

Change 479198 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1098

https://gerrit.wikimedia.org/r/479198

Change 479371 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/479371

Change 479371 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/479371

Mentioned in SAL (#wikimedia-operations) [2018-12-13T06:16:58Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1086 T86338 T202167 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-12-13T06:17:07Z] <marostegui> Deploy schema change on db1086 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-13T06:38:20Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1086 T86338 T202167 (duration: 00m 51s)

Change 479374 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/479374

Change 479374 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/479374

Mentioned in SAL (#wikimedia-operations) [2018-12-13T06:45:09Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1079 T86338 T202167 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-12-13T06:46:13Z] <marostegui> Deploy schema change on db1079 with replication, lag will be generated on labsdb:s7 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-13T07:22:33Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1079 T86338 T202167 (duration: 00m 52s)

Change 479393 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/479393

Change 479393 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/479393

Mentioned in SAL (#wikimedia-operations) [2018-12-13T08:45:38Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1090:3317 T86338 T202167 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-12-13T08:45:44Z] <marostegui> Deploy schema change on db1090:3317 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-13T09:34:50Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1090:3317 T86338 T202167 (duration: 00m 51s)

Change 479405 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/479405

Change 479405 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/479405

Mentioned in SAL (#wikimedia-operations) [2018-12-13T09:59:56Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1101:3317 T86338 T202167 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-12-13T10:44:24Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1101:3317 T86338 T202167 (duration: 00m 51s)

Change 479586 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/479586

Change 479586 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/479586

Mentioned in SAL (#wikimedia-operations) [2018-12-14T05:55:08Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1094 T86338 T202167 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:10:19Z] <marostegui> Deployed schema change on db1094 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:14:12Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1094 T86338 T202167 (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:14:20Z] <marostegui> Deploy schema change on db1062 (s7 primary master) T86338 T202167

Marostegui updated the task description. (Show Details)Fri, Dec 14, 6:41 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2018-12-14T06:54:26Z] <marostegui> Deploy schema change on db2043 (s3 codfw master) - this will generate lag on s3 codfw T86338 T202167

Marostegui updated the task description. (Show Details)Fri, Dec 14, 7:34 AM
Marostegui added a comment.EditedFri, Dec 14, 7:41 AM

s3 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1123
  • db1095
  • db1078
  • db1077
  • db1075

Mentioned in SAL (#wikimedia-operations) [2018-12-14T07:58:59Z] <marostegui> Deploy schema change on dbstore1002:s3 T86338 T202167

Mentioned in SAL (#wikimedia-operations) [2018-12-14T09:33:47Z] <marostegui> Deploy schema change on db1095:3313 T86338 T202167

Marostegui updated the task description. (Show Details)Fri, Dec 14, 10:21 AM